Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class Template

    public class Template
    extends org.eclipse.wst.xsl.core.model.XSLElement

The `xsl:template` model element.

## Field Summary

`package-private java.util.List` | `parameters`
`package-private java.util.List` | `variables`

## Constructor Summary

`Template(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

## Method Summary

`public void` | `addParameter(org.eclipse.wst.xsl.core.model.Parameter parameter)` Add a parameter to this.
`public void` | `addVariable(org.eclipse.wst.xsl.core.model.Variable var)` Add a variable to this.
`public boolean` | `equals(java.lang.Object obj)`
`public java.lang.String` | `getMatch()` Get the value of the `match` attribute if one exists.
`public java.lang.String` | `getMode()` Get the value of the `mode` attribute if one exists.
`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`
`public java.lang.String` | `getName()` Get the value of the `name` attribute if one exists.
`public java.util.List` | `getParameters()` Get the list of parameters of this.
`public java.lang.String` | `getPriority()` Get the value of the `priority` attribute if one exists.
`public int` | `hashCode()`
`public boolean` | `matchesByMatchOrName(org.eclipse.wst.xsl.core.model.Template includedTemplate)`
`public java.lang.String` | `toString()`

## Field Detail

## parameters

`package-private java.util.List parameters`

## variables

`package-private java.util.List variables`

## Constructor Detail

## Template

`public Template(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

Create a new instance of this.

## Methods Detail

## addParameter

`public void addParameter(org.eclipse.wst.xsl.core.model.Parameter parameter)`

Add a parameter to this.

### Parameters

`parameter` - the parameter to add

## addVariable

`public void addVariable(org.eclipse.wst.xsl.core.model.Variable var)`

Add a variable to this.

### Parameters

`var` - the variable to add

## equals

`public boolean equals(java.lang.Object obj)`

### Parameters

`obj`

### Returns

`boolean`

## getMatch

`public java.lang.String getMatch()`

Get the value of the `match` attribute if one exists.

### Returns

`java.lang.String` - the match value, or null

## getMode

`public java.lang.String getMode()`

Get the value of the `mode` attribute if one exists.

### Returns

`java.lang.String` - the mode value, or null

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## getName

`public java.lang.String getName()`

Get the value of the `name` attribute if one exists.

### Returns

`java.lang.String` - the template name, or null

## getParameters

`public java.util.List getParameters()`

Get the list of parameters of this.

### Returns

`java.util.List` - the list of parameters

## getPriority

`public java.lang.String getPriority()`

Get the value of the `priority` attribute if one exists.

### Returns

`java.lang.String` - the priority value, or null

## hashCode

`public int hashCode()`

### Returns

`int`

## matchesByMatchOrName

`public boolean matchesByMatchOrName(org.eclipse.wst.xsl.core.model.Template includedTemplate)`

### Parameters

`includedTemplate`

### Returns

`boolean`

## toString

`public java.lang.String toString()`

### Returns

`java.lang.String`